Package com.documentum.fc.client

# Interface IDfAdminClient

All Superinterfaces:
  `IDfClient`

public interface IDfAdminClient extends IDfClient
An extension of `IDfClient` that is useful for administrative programs.

This extension provides additional methods that are useful for administrative programs but that should generally not be used by normal user programs.

Since:
  5.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDocbroker(String hostName, int portNumber)`
  Dynamically adds a connection broker to the list of brokers known to DFC.
  `IDfDocbaseMap`
  `getFullDocbaseMap()`
  Returns information about all repositories that are known to a connection broker.
  `IDfTypedObject`
  `getFullDocbrokerMap()`
  Returns information about the connection brokers known to the DFC.
  `IDfTypedObject`
  `getFullServerMap(String docbaseName)`
  Returns information about the servers that are known to a connection broker.
  `void`
  `removeDocbroker(String hostName, int portNumber)`
  Dynamically removes a connection broker that was added using `addDocbroker(java.lang.String, int)`.

  ### Methods inherited from interface com.documentum.fc.client.IDfClient

  `addUnavailableAcsServer, adoptDMCLSession, authenticate, decryptText, encryptPassword, encryptText, enumSharedSessions, findSession, getAllNetworkLocations, getApplicationTokenDiagnostics, getClientConfig, getClientNetworkLocations, getContext, getDbor, getDocbaseMap, getDocbaseMapEx, getDocbaseNameFromDocbaseId, getDocbaseNameFromId, getDocbrokerMap, getLicenseManager, getLoginTicketDiagnostics, getModuleRegistry, getNetworkLocation, getServerMap, getServerMapEx, getSharedSession, getTransactionManager, initCrypto, initCryptoEx, newModule, newOperationManager, newRetentionService, newSearchService, newSearchService, newService, newSession, newSessionManager, removeContext, setPrincipalSupport, unadoptDMCLSession`

- ## Method Details

  - ### addDocbroker

    void addDocbroker(String hostName, int portNumber) throws DfException
    Dynamically adds a connection broker to the list of brokers known to DFC.

    Only administrative users should dynamically add connection brokers. Dynamically added brokers are mostly invisible to normal users. Normal users that get connection broker, repository, and server maps through the `IDfClient` interface will not see dynamically added connection brokers.
    Throws:
      `DfException`
    See Also:
      - `removeDocbroker(java.lang.String, int)`

  - ### removeDocbroker

    void removeDocbroker(String hostName, int portNumber) throws DfException
    Dynamically removes a connection broker that was added using `addDocbroker(java.lang.String, int)`.
    Throws:
      `DfException`
    See Also:
      - `addDocbroker(java.lang.String, int)`

  - ### getFullDocbrokerMap

    IDfTypedObject getFullDocbrokerMap() throws DfException
    Returns information about the connection brokers known to the DFC.

    This method returns all connection brokers, including those added dynamically. `IDfClient.getDocbrokerMap()` only returns the statically defined connection brokers.
    Returns:
      information about the connection brokers known by the DFC
    Throws:
      `DfException` - if a server error occurs
    See Also:
      - `IDfClient.getDocbrokerMap()`

  - ### getFullDocbaseMap

    IDfDocbaseMap getFullDocbaseMap() throws DfException
    Returns information about all repositories that are known to a connection broker.

    This method returns repositories known to all connection brokers, including repositories known to dynamically added connection brokers. `IDfClient.getDocbaseMap()` only returns the repositories known to statically defined connection brokers.
    Throws:
      `DfException` - if a server error occurs
    See Also:
      - `IDfClient.getDocbaseMap()`

  - ### getFullServerMap

    IDfTypedObject getFullServerMap(String docbaseName) throws DfException
    Returns information about the servers that are known to a connection broker.

    This method returns servers known to all connection brokers, including servers known to dynamically added connection brokers. `IDfClient.getServerMap(java.lang.String)` only returns the servers known to statically defined connection brokers.
    Parameters:
      `docbaseName` - the name of the repository for which you are requesting server information
    Throws:
      `DfException` - if a server error occurs
    See Also:
      - `IDfClient.getDocbaseMap()`
      - `IDfClient.getDocbrokerMap()`